Uploaded image for project: 'JDK'
  1. JDK
  2. JDK-8124096

FX cannot reliably build with recent JDK8 ea

    Details

    • Type: Bug
    • Status: Resolved
    • Priority: P3
    • Resolution: Won't Fix
    • Affects Version/s: 8
    • Fix Version/s: 8
    • Component/s: javafx

      Description

      Because JDK8 now ships with jfxrt.jar in the jre/lib/ext directory, that file will be used in preference to classes in other jars on the classpath. This means that when building the FX runtime, we will be compiling source code from our current repository, but getting any dependent class files in other modules from whatever version of those classes is in the installed JDK8 build being used. If there are any interface changes, we will fail to compile.

        Attachments

          Issue Links

            Activity

              People

              • Assignee:
                kcr Kevin Rushforth
                Reporter:
                kcr Kevin Rushforth
              • Votes:
                0 Vote for this issue
                Watchers:
                9 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved:
                  Imported: